Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1302746 - [abrt] ibus-chewing: key_sym_get_name(): ibus-engine-chewing killed by SIGSEGV
Summary: [abrt] ibus-chewing: key_sym_get_name(): ibus-engine-chewing killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1411189
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-chewing
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e3376162c9e4ffcffa46b6e36e7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-28 14:08 UTC by Nova1987a
Modified: 2017-08-10 00:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 18:16:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: cgroup (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: core_backtrace (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: dso_list (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: environ (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: limits (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: maps (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: mountinfo (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: namespaces (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: open_fds (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: proc_pid_status (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: var_log_messages (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details
File: exploitable (deleted)
2016-01-28 14:08 UTC, Nova1987a
no flags Details

Description Nova1987a 2016-01-28 14:08:18 UTC
Description of problem:
1. Switch En/Ch input when editing website's article (Joomla! based CMS website).
2. The crash happened

Version-Release number of selected component:
ibus-chewing-1.4.14-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-chewing --ibus
crash_function: key_sym_get_name
executable:     /usr/libexec/ibus-engine-chewing
global_pid:     2676
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 key_sym_get_name at /usr/src/debug/ibus-chewing-1.4.14-Source/src/IBusChewingUtil.c:176
 #1 ibus_chewing_engine_process_key_event at /usr/src/debug/ibus-chewing-1.4.14-Source/src/IBusChewingEngine-input-events.c:7
 #2 _ibus_marshal_BOOLEAN__UINT_UINT_UINT at ibusmarshalers.c:290
 #7 ibus_engine_service_method_call at ibusengine.c:883
 #8 call_in_idle_cb at gdbusconnection.c:4832
 #13 ibus_main at ibusshare.c:302
 #14 start_component at /usr/src/debug/ibus-chewing-1.4.14-Source/src/main.c:115

Comment 1 Nova1987a 2016-01-28 14:08:25 UTC
Created attachment 1119159 [details]
File: backtrace

Comment 2 Nova1987a 2016-01-28 14:08:26 UTC
Created attachment 1119160 [details]
File: cgroup

Comment 3 Nova1987a 2016-01-28 14:08:28 UTC
Created attachment 1119161 [details]
File: core_backtrace

Comment 4 Nova1987a 2016-01-28 14:08:30 UTC
Created attachment 1119162 [details]
File: dso_list

Comment 5 Nova1987a 2016-01-28 14:08:32 UTC
Created attachment 1119163 [details]
File: environ

Comment 6 Nova1987a 2016-01-28 14:08:33 UTC
Created attachment 1119164 [details]
File: limits

Comment 7 Nova1987a 2016-01-28 14:08:36 UTC
Created attachment 1119165 [details]
File: maps

Comment 8 Nova1987a 2016-01-28 14:08:37 UTC
Created attachment 1119166 [details]
File: mountinfo

Comment 9 Nova1987a 2016-01-28 14:08:39 UTC
Created attachment 1119167 [details]
File: namespaces

Comment 10 Nova1987a 2016-01-28 14:08:41 UTC
Created attachment 1119168 [details]
File: open_fds

Comment 11 Nova1987a 2016-01-28 14:08:42 UTC
Created attachment 1119169 [details]
File: proc_pid_status

Comment 12 Nova1987a 2016-01-28 14:08:44 UTC
Created attachment 1119170 [details]
File: var_log_messages

Comment 13 Nova1987a 2016-01-28 14:08:45 UTC
Created attachment 1119171 [details]
File: exploitable

Comment 14 Fedora End Of Life 2016-11-24 15:14:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 18:16:06 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 Ding-Yi Chen 2017-08-10 00:58:34 UTC
Same root cause with Bug 1411189, but keySym=269025042

*** This bug has been marked as a duplicate of bug 1411189 ***


Note You need to log in before you can comment on or make changes to this bug.